## kontrast 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.5.0")

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KONTRAST
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-kontrast.h"
)

################# Find dependencies #################
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Sql)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n CoreAddons)
find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 REQUIRED COMPONENTS Core)
find_package(KF6KirigamiAddons 1.4.0 REQUIRED)

if(NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Widgets)
    find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
    find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
endif()

################# build and install #################
add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
kde_enable_exceptions()

add_subdirectory(src)

if(NOT ANDROID)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

install(FILES org.kde.kontrast.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kontrast.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kontrast.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ki18n_install(po)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if(ANDROID)
    kirigami_package_breeze_icons(ICONS
        go-home
        favorite
        help-contents
        help-symbolic
        help-about-symbolic
        applications-graphics
        color-picker
        reverse
        randomize
        arrow-right
        license
    )
endif()

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(kontrast
    main.cpp
    kontrast.cpp kontrast.h
    savedcolormodel.cpp savedcolormodel.h
    resources.qrc
)

ecm_add_qml_module(kontrast URI "org.kde.kontrast" VERSION 1.0)

ecm_target_qml_sources(kontrast SOURCES
    qml/Main.qml
    qml/MainPage.qml
    qml/FavoritePage.qml
    qml/HelpPage.qml
)

target_link_libraries(kontrast PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Sql
    Qt6::Svg
    FutureSQL6::FutureSQL
    QCoro6::Core
    KF6::I18n
    KF6::CoreAddons
)

if (TARGET KF6::Crash)
target_link_libraries(kontrast PRIVATE
    KF6::Crash
)
endif()	

if (ANDROID)
    ecm_add_android_apk(kontrast ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
endif()

if(TARGET Qt6::DBus)
    target_link_libraries(kontrast PRIVATE Qt6::DBus Qt6::Widgets)
endif()

install(TARGETS kontrast ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kontrast (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:16:50 +0000

kontrast (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:03 +0100

kontrast (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:55:57 +0100

kontrast (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:26:52 +0100

=== debian/control ===
Source: kontrast
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libfuturesql6-dev,
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kontrast
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontrast
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontrast
Rules-Requires-Root: no

Package: kontrast
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: check contrast ratio between 2 colors
 Kontrast is a color contrast checker and tells you if your color combinations
 are distinct enough to be readable and accessible.

## kontrast 25.08.3+p24.04+vunstable+git20251123.1400

=== debian/changelog ===
kontrast (25.08.3+p24.04+vunstable+git20251123.1400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 14:00:19 +0000

kontrast (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:46 +1000

## kontrast 25.08.3+p24.04+vunstable+git20251206.0746

=== debian/changelog ===
kontrast (25.08.3+p24.04+vunstable+git20251206.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:46:57 +0000

## kontrast 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.6.0")
-set(KF_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.8.0")
 
 include(FeatureSummary)
 
@@ -60,7 +60,7 @@
 add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0  KF 6.19.0)
 kde_enable_exceptions()
 
 add_subdirectory(src)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kontrast)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,15 @@
     resources.qrc
 )
 
-ecm_add_qml_module(kontrast URI "org.kde.kontrast" VERSION 1.0)
+ecm_add_qml_module(kontrast
+    URI org.kde.kontrast
+    GENERATE_PLUGIN_SOURCE
+    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/kontrast
+    DEPENDENCIES
+        QtCore
+        QtQml
+        QtQuick
+)
 
 ecm_target_qml_sources(kontrast SOURCES
     qml/Main.qml
@@ -29,6 +37,7 @@
     QCoro6::Core
     KF6::I18n
     KF6::CoreAddons
+    KF6::I18nQml
 )
 
 if (TARGET KF6::Crash)

=== debian/changelog ===
kontrast (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:30 +0000

## kontrast 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kontrast (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:31 +0000

## kontrast 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kontrast (25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:00:27 +0000

kontrast (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:38 +1000

## kontrast 25.12.0+p24.04+vstable+git20251231.0238

=== debian/changelog ===
kontrast (25.12.0+p24.04+vstable+git20251231.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:38:36 +0000

## kontrast 25.12.0+p24.04+vstable+git20260101.0147

=== debian/changelog ===
kontrast (25.12.0+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:45 +0000

## kontrast 25.12.0+p24.04+vstable+git20260103.0539

=== debian/changelog ===
kontrast (25.12.0+p24.04+vstable+git20260103.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:39:49 +0000

## kontrast 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kontrast (25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 10:24:58 +0000

kontrast (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:19:08 +1000

## kontrast 25.12.1+p24.04+vstable+git20260120.0741

=== debian/changelog ===
kontrast (25.12.1+p24.04+vstable+git20260120.0741-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:41:35 +0000

## kontrast 25.12.1+p24.04+vstable+git20260130.0827

=== debian/changelog ===
kontrast (25.12.1+p24.04+vstable+git20260130.0827-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:27:01 +0000

## kontrast 25.12.1+p24.04+vstable+git20260205.0611

=== debian/changelog ===
kontrast (25.12.1+p24.04+vstable+git20260205.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:11:46 +0000

## kontrast 25.12.1+p24.04+vunstable+git20260201.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kontrast (25.12.1+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:55 +0000

## kontrast 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kontrast VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kontrast (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:07 +0000

kontrast (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:11 +0000

kontrast (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:11 +0000
